Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class ResultImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.ResultImpl

All Implemented Interfaces:
  Result

    public class ResultImpl

extends java.lang.Object
implements Result

This class is used as a container to package a single result that is fetched from a search operation. It contains the entry name and its attributes.

Version:
  $Revision: 1.5 $
Author:

Constructor Summary
`protected` | `ResultImpl()`
`protected` | `ResultImpl(javax.naming.directory.SearchResult sr)` Creates a new instance of Result

Method Summary
`int` | `countSTCAttribute()` Gets the number of attributes available.
`java.lang.String` | `getName()` Get the name of the current result.
`STCAttributes` | `getSTCAttributes()` Get the collection of attributes.
`void` | `reset()` Method to reset the values
`STCAttribute` | `retrieveSTCAttribute(int i)` Gets the attribute specified by the index position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultImpl

    protected ResultImpl()

### ResultImpl

    protected ResultImpl(javax.naming.directory.SearchResult sr)
                  throws javax.naming.NamingException

  Creates a new instance of Result

  Parameters:
    `app` - The LDAP client application associated with this Result instance.
  Throws:
    `javax.naming.NamingException`

Method Detail

### reset

    public void reset()

  Description copied from interface: `Result`
  Method to reset the values

  Specified by:
    `reset` in interface `Result`

### getName

    public java.lang.String getName()

  Get the name of the current result.

  Specified by:
    `getName` in interface `Result`

### getSTCAttributes

    public STCAttributes getSTCAttributes()

  Get the collection of attributes.

  Specified by:
    `getSTCAttributes` in interface `Result`

### retrieveSTCAttribute

    public STCAttribute retrieveSTCAttribute(int i)
                                      throws java.lang.IndexOutOfBoundsException

  Gets the attribute specified by the index position. If one does not exist, then an empty one will be created.

  Specified by:
    `retrieveSTCAttribute` in interface `Result`
  Parameters:
    `i` - The integer index specifying the position of the attribute to return.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if index i < 0 || index i > countAttributes()

### countSTCAttribute

    public int countSTCAttribute()

  Gets the number of attributes available.

  Specified by:
    `countSTCAttribute` in interface `Result`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD